@media (max-width: 900px) {

    .nav-links,
    .nav-buttons {
        display: none;
    }

    .menu-btn {
        display: block;
    }

    .hero-content {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .hero-text p {
        margin-left: auto;
        margin-right: auto;
    }

    .hero-buttons {
        justify-content: center;
    }

    .branches-grid,
    .features-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (max-width: 600px) {

    .hero {
        padding: 60px 0;
    }

    .hero h1 {
        font-size: 38px;
    }

    .hero-text p {
        font-size: 16px;
    }

    .hero-buttons {
        flex-direction: column;
    }

    .primary-btn,
    .secondary-btn {
        text-align: center;
        width: 100%;
    }

    .branches-grid,
    .features-grid {
        grid-template-columns: 1fr;
    }

    .section {
        padding: 65px 0;
    }

    .section-title h2 {
        font-size: 30px;
    }

    .footer-content {
        grid-template-columns: 1fr;
    }
}